Hardware Families
Retrieve, add and remove Hardware Family records associated with a line of Hardware.
Get all hardware families
/hardware/v1/hardware-families
Get all hardware families.
Requires a bearer access token for this API. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hardware-families" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create a hardware family
/hardware/v1/hardware-families
Create a hardware family.
Requires a bearer access token for this API with the Global.Hardware.Write permission. See Authentication.
Request body
The type of device e.g mobile, storage, other
One of: "mobile", "tablet", "storage", "other"
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/hardware-families" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "images": [ { "description": "string", "url": "https://example.com" } ], "manufacturer": { "name": "string" }, "name": "string", "released": { "time": 0 }, "type": "mobile" }'
Get a hardware family by id
/hardware/v1/hardware-families/{hardwareFamilyId}
Get a hardware family by id.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Patch a hardware family by id
/hardware/v1/hardware-families/{hardwareFamilyId}
Patch a hardware family by id.
Requires a bearer access token for this API with the Global.Hardware.Write permission. See Authentication.
Parameters
Path parameter
Request body
The type of device e.g mobile, storage, other
One of: "mobile", "tablet", "storage", "other"
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "id": "string", "images": [ { "description": "string", "url": "https://example.com" } ], "manufacturer": { "name": "string" }, "name": "string", "released": { "time": 0 }, "type": "mobile" }'
Delete a hardware family by id
/hardware/v1/hardware-families/{hardwareFamilyId}
Delete a hardware family by id.
Requires a bearer access token for this API with the Global.Hardware.Write permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"